This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 544297 - hpcups crashes
hpcups crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2009-12-04 09:12 EST by Steven Usdansky
Modified: 2010-01-26 08:48 EST (History)
2 users (show)

See Also:
Fixed In Version: hplip-3.9.12-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-26 08:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from printing troubleshooter (152.96 KB, text/plain)
2009-12-04 11:19 EST, Steven Usdansky
no flags Details
cups error log 20090122 (140.19 KB, application/octet-stream)
2010-01-22 09:08 EST, Steven Usdansky
no flags Details
troubleshooter output (37.00 KB, text/plain)
2010-01-22 09:16 EST, Steven Usdansky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 474412 None None None Never

  None (edit)
Description Steven Usdansky 2009-12-04 09:12:49 EST
Description of problem:
Printer works fine with hpijs-3.9.8-21 from F12. Locks up instead of printing when upgraded to Rawhide version of hpijs and dependencies (hplip-common, hplip-libs, net-snmp, net-snmp-libs)

Version-Release number of selected component (if applicable):
hpijs-3.9.10-4.fc13.x86_64
hplip-libs-3.9.10-4.fc13.x86_64
hplip-common-3.9.10-4.fc13.x86_64
net-snmp-5.5-3.fc13.x86_64
net-snmp-libs-5.5-3.fc13.x86_64

How reproducible:
100% of the time

Steps to Reproduce:
1. Upgrade hpijs
2. Restart cups
3. Send test document to printer
  
Actual results:
Printer lock up

Expected results:
Test document prints

Additional info:
When job is canceled, cups interface in firefox reports:
canceled at 
Fri 04 Dec 2009 08:02:03 AM CST 
"/usr/lib/cups/filter/hpcups failed"
Comment 1 Tim Waugh 2009-12-04 09:26:07 EST
Could you please try running the printing troubleshooter?  System->Administration->Printing, then Help->Troubleshoot from the menu.
Comment 2 Steven Usdansky 2009-12-04 11:19:07 EST
Created attachment 376114 [details]
output from printing troubleshooter
Comment 3 Tim Waugh 2009-12-22 12:48:23 EST
Should be fixed in hplip-3.9.12-1.fc13.
Comment 4 Steven Usdansky 2010-01-21 19:41:40 EST
Just got around to attempting an update to:
  hplip-libs-3.9.12-4.fc13.x86_64
  hpijs-3.9.12-4.fc13.x86_64
  net-snmp-5.5-11.fc13.x86_64
  net-snmp-libs-5.5-11.fc13.x86_64
  hplip-common-3.9.12-4.fc13.x86_64
Not only does it not print, but the troubleshooter now craps out.

From CUPS browser interface:
▼ Queue Name ▼	Description	Location	Make and Model	Status
HP_Photosmart_D7200_series	HP Photosmart D7200 series	Office	HP Photosmart d7200 Series, hpcups 3.9.8	Idle - "Processing page 2..."

There was no page 2 to the document

Saw the same error msg as on 04 Dec when I went to cancel the job via the CUPS browser interface
Comment 5 Tim Waugh 2010-01-22 03:48:48 EST
(In reply to comment #4)
> Not only does it not print, but the troubleshooter now craps out.

Would be great to diagnose the troubleshooter problem as well -- could you please file a bug report against system-config-printer?  Thanks.

> Saw the same error msg as on 04 Dec when I went to cancel the job via the CUPS
> browser interface    

Please follow these steps in order to get diagnostic information:

1. service cups restartlog
2. cupsctl --debug-logging
3. Now print your job
4. cupsctl --no-debug-logging
5. Attach /var/log/cups/error_log to this bug report
Comment 6 Steven Usdansky 2010-01-22 09:08:22 EST
Created attachment 386151 [details]
cups error log 20090122

Shows several attempts. Last attempt is with cups-1.4.2-26.fc13.x86_64 and 
hplip-libs-3.9.12-4.fc13.x86_64. Previous attempts may not have one or the other upgraded.
Comment 7 Steven Usdansky 2010-01-22 09:16:35 EST
Created attachment 386155 [details]
troubleshooter output

Tried the troubleshooter again, this time with cups and hplip-libs all updated. It worked; output attached. This should obsolete attachment #376114 [details]; marking as such
Comment 8 Tim Waugh 2010-01-22 10:45:01 EST
Please try installing the 'ghostscript-cups' package.
Comment 9 Steven Usdansky 2010-01-22 13:00:15 EST
That seems to have solved the problem. Had to set up a new printer, but it's working. Thanks for all your help!

Bug #557854 was filed by abrt. It arose in the process of cleaning things up and probably resulted from my system being less than totally clean up. I marked therefore marked #557854 as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.